function jogoQuit()
  love.event.quit()
end

resetOuQuit = {
  name = "resetOuQuit",
  resetOuQuit = "reset",
  transparencia = 255,
  resetCor = {255, 255, 255, transparencia},
  update = function(dt)
    if resetOuQuit.resetOuQuit == "reset" then
      resetOuQuit.resetJogo(dt)
    elseif resetOuQuit.resetOuQuit == "quit" then
      resetOuQuit.quitJogo(dt)
    end
  end,
  resetJogo = function(dt)
    estadoJogo = resetOuQuit.name    
    text = "The game is now restarting."
    corDaCaixa = Cores.verdeMuitoEscuro    
    if resetOuQuit.transparencia >= 0 then
      resetOuQuit.transparencia = resetOuQuit.transparencia - 75 * dt        
      resetOuQuit.resetCor = {255, 255, 255, resetOuQuit.transparencia}
    else estadoJogar.reset()
    end
  end,
  quitJogo = function(dt)
    estadoJogo = resetOuQuit.name
    text = "The game is now closing."
    corDaCaixa = Cores.vermelho
    if resetOuQuit.transparencia >= 0 then
      resetOuQuit.transparencia = resetOuQuit.transparencia - 100 * dt        
      resetOuQuit.resetCor = {255, 255, 255, resetOuQuit.transparencia}
    else
    jogoQuit()
    end
  end,  
    
  draw = function()
    bp.caixaSemBorda(0, 0, paginaWidth, paginaHeight, corDaCaixa)
    bp.escreveF(text, 0, paginaHeight * 0.4, paginaWidth, "center", resetOuQuit.resetCor, fonteNegrito48)
  end
}

--Parent Functions
function RESETOUQUIT_UPDATE(dt)
  resetOuQuit.update(dt)
end 

function RESETOUQUIT_DRAW()
  resetOuQuit.draw()
end