--FUNCOES DE MOUSE
--code below defines clickable area of sprites with their text bubbles 
--The "return" in these lines evaluate the Boolean equation and returns true or false
function emSplashComeca( x, y )
  return (x > paginaWidth / 2 * (1 - .7) and x < paginaWidth / 2 * (1 - .7) + paginaWidth * 0.7) and (y > paginaHeight  * 0.78 and y < paginaHeight  * 0.78 + paginaHeight * 0.17)
end

function emMusicOn( x, y )
  return ( x > 4.25 * globalCaixaX and x < 4.25 * globalCaixaX + globalCaixaHeight ) and ( y > globalCaixaY and y < globalCaixaY + globalCaixaHeight )
end

function emMusicVolUp( x, y )
  return (x > 4.85 * globalCaixaX and x < 4.85 * globalCaixaX + globalCaixaHeight ) and ( y > globalCaixaY and y < globalCaixaY + globalCaixaHeight )
end

function emMusicVolDown( x, y )
  return (x > 5.45 * globalCaixaX and x < 5.45 * globalCaixaX + globalCaixaHeight ) and ( y > globalCaixaY and y < globalCaixaY + globalCaixaHeight )
end

function emRespostaBotao1( x, y )
  local xCentro = paginaWidth * 0.18
  local yCentro = paginaHeight * 0.525
  local raio = paginaWidth * 0.025
  return (x - xCentro)^2 + (y - yCentro)^2 <= raio^2
end

function emRespostaBotao2( x, y )
  local xCentro = paginaWidth * 0.18
  local yCentro = paginaHeight * 0.625
  local raio = paginaWidth * 0.025
  return (x - xCentro)^2 + (y - yCentro)^2 <= raio^2
end

function emRespostaBotao3( x, y )
  local xCentro = paginaWidth * 0.18
  local yCentro = paginaHeight * 0.725
  local raio = paginaWidth * 0.025
  return (x - xCentro)^2 + (y - yCentro)^2 <= raio^2
end

function emRespostaBotao4( x, y )
  local xCentro = paginaWidth * 0.18
  local yCentro = paginaHeight * 0.825
  local raio = paginaWidth * 0.025
  return (x - xCentro)^2 + (y - yCentro)^2 <= raio^2
end

function emContinueCaixa1( x, y )
  return (x > paginaWidth * 0.15 and x < paginaWidth * .85 ) and (y > paginaHeight * 0.655 + estadoCliqueErrado.moveY and y < paginaHeight * 0.655 + estadoCliqueErrado.moveY + paginaHeight * 0.075)
end

function emContinueCaixa2(x, y)
  return (x > paginaWidth * 0.15 and x < paginaWidth * .85 ) and (y > paginaHeight * 0.75 + estadoCliqueErrado.moveY and y < paginaHeight * 0.75 + estadoCliqueErrado.moveY + paginaHeight * 0.075)
end

function emContinueCaixa3(x, y)
  return (x > paginaWidth * 0.15 and x < paginaWidth * .85 ) and (y > paginaHeight * 0.85 + estadoCliqueErrado.moveY and y < paginaHeight * 0.85 + estadoCliqueErrado.moveY + paginaHeight * 0.075)
end

local function alterarCursor()
  local x, y = love.mouse.getPosition()
  
  if estadoJogo == estadoSplash.name then
      --botão de começa no slash screen
      if emSplashComeca( x, y ) then 
        love.mouse.setCursor( cursorClique )
      else
        love.mouse.setCursor( cursorPadrao )      
      end
  return
  end

  if estadoJogo == estadoJogar.name then
      --botão de começa no slash screen
      if emMusicOn( x, y ) or emMusicVolUp( x, y ) or emMusicVolDown( x, y ) or emRespostaBotao1( x, y ) or emRespostaBotao2( x, y ) or emRespostaBotao3( x, y ) or emRespostaBotao4( x, y ) then 
        love.mouse.setCursor( cursorClique )
      else
        love.mouse.setCursor( cursorPadrao )      
      end
  return
  end
  
  if estadoJogo == estadoCliqueCerto.name then
      --botões para continuar ou parar
      if emMusicOn( x, y ) 
        or emMusicVolUp( x, y )
        or emMusicVolDown( x, y )
        or emContinueCaixa1( x, y )--botão para texto5 
        or emContinueCaixa2(x, y) --botão para texto6
        or emContinueCaixa3(x, y) and texto7 ~= "" --botão para texto7
        then 
        love.mouse.setCursor( cursorClique )
      else
        love.mouse.setCursor( cursorPadrao )      
      end
  return
  end
  
  if estadoJogo == estadoCliqueErrado.name then
      --botões para continuar ou parar
      if emMusicOn( x, y ) 
        or emMusicVolUp( x, y )
        or emMusicVolDown( x, y )
        or emContinueCaixa1( x, y ) --botão para texto6
        or emContinueCaixa2(x, y) --botão para texto7
        or emContinueCaixa3(x, y) and texto8 ~= "" --botão para texto8
        then 
        love.mouse.setCursor( cursorClique )
      else
        love.mouse.setCursor( cursorPadrao )      
      end
  return
  end
end

--PARENT FUNCTIONS
function THEMOUSE_UPDATE(dt)
  alterarCursor()
end