local image = love.graphics.newImage("imagens/no.png")

erroImagem = {
  mostra = false,
  escalaX = 1.75,
  escalaY = 1.75,
  width = image:getWidth(),
  height = image:getHeight(),
  update = function(dt)
    if erroImagem.mostra == true then
      if erroImagem.escalaY > 0 then
        erroImagem.escalaX = erroImagem.escalaX - 0.6 * dt    
        erroImagem.escalaY = erroImagem.escalaY - 0.4 * dt
      else
        erroImagem.mostra = false
        estadoJogo = estadoCliqueErrado.name
      end
    else
    end
  end,
  draw = function ()
    if erroImagem.mostra == true then
    love.graphics.draw(image, love.graphics.getWidth() /2, love.graphics.getHeight() / 2, math.rad(0), erroImagem.escalaX, erroImagem.escalaY, erroImagem.width / 2, erroImagem.height / 2)
    end
  end
}

--Parent Functions
function ERROIMAGEM_LOAD()
end

function ERROIMAGEM_UPDATE(dt)
  erroImagem.update(dt)
end

function ERROIMAGEM_DRAW()
  erroImagem.draw()
end