    
estadoJogar = {
  name = "jogar",
  update = function(dt)
    local x, y = love.mouse.getPosition()
    if emMusicVolUp( x, y ) and love.mouse.isDown(1) and audioVolume < 1.0 then
      love.audio.play( audioFundo )
      audioVolume = audioVolume + 0.10 * dt
      audioFundo:setVolume(audioVolume)
    elseif emMusicVolDown( x, y ) and love.mouse.isDown(1) and audioVolume > 0.0 then
      love.audio.play( audioFundo )
      audioVolume = audioVolume - 0.20 * dt
      audioFundo:setVolume(audioVolume)
    end
    end,
    load = function()
      --IMPORTANTE: Estes variaveis são usados em 2 funçoes
      --variaveis para bordaxRaioElipseBorda = paginaWidth * 0.75
      xRaioElipseBorda = paginaWidth * 0.75
      yRaioElipseBorda = paginaHeight * 0.286 
      xElipseBorda = paginaWidth * 0.5
      yElipseBorda = paginaHeight * 0.38
    --variaveis para elipse principal
      xRaioElipsePrincipal = xRaioElipseBorda - 0.0167 * paginaWidth
      yRaioElipsePrincipal = yRaioElipseBorda - 0.0286 * paginaHeight
      xElipsePrincipal = xElipseBorda + paginaWidth * 0.0025
      yElipsePrincipal = yElipseBorda + paginaHeight * 0.00286      
    end,
    draw = function()
      exposicao.titulo()
      exposicao.placar(globalCaixaX, globalCaixaY, globalCaixaWidth, globalCaixaHeight)
      --exposicao.musica()
      --estadoJogar.desenhaElipse()
      estadoJogar.areaDeQuestao()
      respostas.draw()
    end,
  
  desenhaElipse = function()
    --outros variaveis    
    local texto1 = "Click the correct form of the verb \"to be\""
    local texto2 = "to complete the sentence."
    local textoWidth = xRaioElipsePrincipal * 0.9
    --desenha borda
    love.graphics.setColor(Cores.azulMaisEscuro)
    love.graphics.ellipse( "fill", xElipseBorda, yElipseBorda, xRaioElipseBorda / 2, yRaioElipseBorda / 2)
    --desenha elipse principal
    love.graphics.setColor(Cores.vermelho)
    love.graphics.ellipse( "fill", xElipsePrincipal, yElipsePrincipal, xRaioElipsePrincipal / 2, yRaioElipsePrincipal / 2 ) 
    --escreve o texto
    bp.escreveF(texto1, xElipsePrincipal - textoWidth / 2, yElipsePrincipal - yRaioElipsePrincipal * 0.37, textoWidth, "center", Cores.amarelo, fonteNegrito36)
    bp.escreveF(texto2, xElipsePrincipal - textoWidth / 2, yElipsePrincipal - yRaioElipsePrincipal * 0.24 + 2, textoWidth, "center", Cores.amarelo, fonteNegrito36)
  end,
  
  areaDeQuestao = function()
    --variaveis de texto  
    local texto1 = "Which is correct?"
    local texto2 = "Click the button of the sentence that is correct."
    local textoWidth = xRaioElipsePrincipal * 0.9
    --escreve o texto
    --bp.escreveF(texto1, xElipsePrincipal - textoWidth / 2, yElipsePrincipal - yRaioElipsePrincipal * 0.37, textoWidth, "center", Cores.verde, fonteNegrito36)
    bp.escreveF(texto2, xElipsePrincipal - textoWidth / 2, yElipsePrincipal - yRaioElipsePrincipal * 0.16, textoWidth, "center", Cores.verdeMaisEscuro, fonteNegrito24)
  --O código embaixo está usado apenas se o elipse está usado.
  --bp.escreveF(frase[sequenciaAleatoria[passo]].questao, xElipsePrincipal - textoWidth / 2, yElipsePrincipal - yRaioElipsePrincipal * 0.05 + 5, textoWidth, "center", Cores.branco, fonteNegrito48)
  end,
  
  mousereleased = function(x, y, button)
   --CLIQUES DO MOUSE
    if emMusicOn( x, y ) then
      print("playing =")
      print(audioFundo:isPlaying())
      print("paused =")
      print(audioFundo:isPaused())
      if audioFundo:isPlaying() then love.audio.pause( audioFundo )
        elseif audioFundo:isPaused() then love.audio.resume( audioFundo )
      end
    return
    end
         
    if emRespostaBotao1( x, y ) then
        if imprimirResposta1 == respostaCertaGlobal then
          if passo == #frase then
            estadoCliqueCerto.ultimaQuestao()
          else
            estadoCliqueCerto.naoUltimaQuestao()
          end
          estadoJogar.refixarMenorVariaveis()
          placarCerto = placarCerto + 1
          estadoJogo = estadoCliqueCerto.name
        else
          if passo == #frase then
            estadoCliqueErrado.ultimaQuestao()
          else
            estadoCliqueErrado.naoUltimaQuestao()
          end
          respostaErradaGlobal = imprimirResposta1
          estadoJogar.refixarMenorVariaveis()
          placarErro = placarErro + 1
          erroImagem.mostra = true
        end
    return
    end
         
    if emRespostaBotao2( x, y ) then
      if imprimirResposta2 == respostaCertaGlobal then
        if passo == #frase then
          estadoCliqueCerto.ultimaQuestao()
        else
          estadoCliqueCerto.naoUltimaQuestao()
        end
        estadoJogar.refixarMenorVariaveis()
        placarCerto = placarCerto + 1
        estadoJogo = estadoCliqueCerto.name
      else
        if passo == #frase then
          estadoCliqueErrado.ultimaQuestao()
        else
          estadoCliqueErrado.naoUltimaQuestao()
        end
        respostaErradaGlobal = imprimirResposta2
        estadoJogar.refixarMenorVariaveis()
        placarErro = placarErro + 1
        erroImagem.mostra = true
      end
    return
    end
         
    if emRespostaBotao3( x, y ) then
      if imprimirResposta3 == respostaCertaGlobal then
        if passo == #frase then
          estadoCliqueCerto.ultimaQuestao()
        else
          estadoCliqueCerto.naoUltimaQuestao()
        end
        estadoJogar.refixarMenorVariaveis()
        placarCerto = placarCerto + 1
        estadoJogo = estadoCliqueCerto.name
      else
        if passo == #frase then
          estadoCliqueErrado.ultimaQuestao()
        else
          estadoCliqueErrado.naoUltimaQuestao()
        end
        respostaErradaGlobal = imprimirResposta3
        estadoJogar.refixarMenorVariaveis()
        placarErro = placarErro + 1
        erroImagem.mostra = true
      end
    return
    end
    
    if emRespostaBotao4( x, y ) then
      if imprimirResposta4 == respostaCertaGlobal then
        if passo == #frase then
          estadoCliqueCerto.ultimaQuestao()
        else
          estadoCliqueCerto.naoUltimaQuestao()
        end
        estadoJogar.refixarMenorVariaveis()
        placarCerto = placarCerto + 1
        estadoJogo = estadoCliqueCerto.name
      else
        if passo == #frase then
          estadoCliqueErrado.ultimaQuestao()
        else
          estadoCliqueErrado.naoUltimaQuestao()
        end
        respostaErradaGlobal = imprimirResposta4
        estadoJogar.refixarMenorVariaveis()
        placarErro = placarErro + 1
        erroImagem.mostra = true
      end
    return
    end   
  return
  end,
--RESET O JOGO
  reset = function()
  --reset fixa variáveis e funções para recomeça o jogo
    paginaWidth = love.graphics.getWidth()
    paginaHeight = love.graphics.getHeight()
    passo = 1
    respostaCertaGlobal = "respostaCertaGlobal"
    respostaErrada = respostaErrada
    placarCerto = 0
    placarErro = 0
    estadoCliqueCerto.moveY = 0
    estadoCliqueCerto.move = false
    estadoCliqueCerto.reset = false
    estadoCliqueCerto.quit = false
    estadoCliqueCerto.transparencia = 255
    estadoCliqueCerto.resetCor = {255, 255, 255, 0}
    estadoCliqueErrado.moveY = 0
    estadoCliqueErrado.move = false
    estadoCliqueErrado.reset = false
    estadoCliqueErrado.quit = false
    estadoCliqueErrado.transparencia = 255
    estadoCliqueErrado.resetCor = {255, 255, 255, 0}
    resetOuQuit.transparencia = 255
    fazQuestoesAleatorias()  --esta função está no dados.lua
    fazRespostasAleatorias()  --esta função está no dados.lua
    estadoJogo = estadoJogar.name
  end,
  refixarMenorVariaveis = function()
  -- refixe variáveis para reset e quit
    estadoCliqueCerto.moveY = 0
    estadoCliqueCerto.move = false
    estadoCliqueCerto.reset = false
    estadoCliqueCerto.quit = false
    estadoCliqueErrado.moveY = 0
    estadoCliqueErrado.move = false
    estadoCliqueErrado.reset = false
    estadoCliqueErrado.quit = false
    erroImagem.mostra = false
    erroImagem.escalaX = 1.75
    erroImagem.escalaY = 1.75
  end
}

--Parent Functions
function JOGAR_UPDATE(dt)
  estadoJogar.update(dt)
  ERROIMAGEM_UPDATE(dt)
end 

function JOGAR_LOAD()
  estadoJogar.load()
end

function JOGAR_DRAW()
  estadoJogar.draw()
  ERROIMAGEM_DRAW()
end