require "bibliotecaPadrao"
require "carrege"
require "splash"
require "jogar"
require "cliqueCerto"
require "cliqueErrado"
require "respostas"
require "theMouse"
require "dados"
require "exposicoes"
require "reset_ou_quit"
require "erroImagem"

function love.load()  
  CARREGE_LOAD()
  JOGAR_LOAD()
end

function love.update(dt)
  
  CARREGE_UPDATE(dt)
  THEMOUSE_UPDATE(dt)
  
  if estadoJogo == estadoSplash.name then
   SPLASH_UPDATE(dt)
  end 

  if estadoJogo == estadoJogar.name then
   JOGAR_UPDATE(dt)
  end 

  if estadoJogo == estadoCliqueCerto.name then
    CLIQUECERTO_UPDATE(dt)
  end 

  if estadoJogo == estadoCliqueErrado.name then
    CLIQUEERRADO_UPDATE(dt)
  end 
  
  if estadoJogo == resetOuQuit.name then
    RESETOUQUIT_UPDATE(dt)
  end
end

function love.draw()  
  --debuggerDraw()
  
  if estadoJogo == estadoSplash.name then
    SPLASH_DRAW()
  end 

  if estadoJogo == estadoJogar.name then
    JOGAR_DRAW()
  end 

  if estadoJogo == estadoCliqueCerto.name then
    CLIQUECERTO_DRAW()
  end 

  if estadoJogo == estadoCliqueErrado.name then
    CLIQUEERRADO_DRAW()
  end   
  
  if estadoJogo == resetOuQuit.name then
    RESETOUQUIT_DRAW()
  end
end

function love.mousereleased(x, y, button)
  if estadoJogo == estadoSplash.name then
    estadoSplash.mousereleased(x, y, button)
    
  elseif estadoJogo == estadoJogar.name then
    estadoJogar.mousereleased(x, y, button)

  elseif estadoJogo == estadoCliqueCerto.name then
    estadoCliqueCerto.mousereleased(x, y, button)
    
  elseif estadoJogo == estadoCliqueErrado.name then
    estadoCliqueErrado.mousereleased(x, y, button)
  end
end

function love.quit()
  love.event.quit()
end